Credit Child Account
curl --request POST \
--url https://nini.monieswitch.com/child/credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/child/credit"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/child/credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Account successful credited",
"data": {
"paidAt": "2024-07-25T13:21:33+01:00",
"charges": 20,
"totalAmount": 1020,
"description": "₦1,000.00 sent to child wallet Abdulrahman",
"mode": "SANDBOX",
"status": "SUCCESS",
"amount": 1000,
"walletId": "d68b7371-6709-4247-99b3-142e3130aa69",
"merchantId": "1f18305f-851a-4266-bdc6-6fc1525928cf",
"transactionReference": "bKhlL2uMjJeOz6mY9TQFKpdJIfoUIsD9Op5r",
"childAccountId": "5e37f271-a3ba-4cd7-ab14-551da019bb5a",
"childAccountName": "Abdulrahman",
"childAccountNumber": "7838488742",
"narration": "Testing crediting",
"customerMetadata": {
"userId": "testing123"
},
"beneficiaryAccountName": "Abdulrahman",
"beneficiaryAccountNumber": "7838488742",
"originatorBankCode": "999270",
"originatorBankName": "Xpress Wallet",
"originatorAccountName": "Neyosoft",
"originatorAccountNumber": "4409794005",
"transactionId": "89b02573-1563-4a74-90cc-d1baee0495b2"
}
}Child Accounts
Credit Child Account
POST
/
child
/
credit
Credit Child Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
⌘I